Name:          ukylin-feedback-client
Version:       1.0.0
Release:       3
Summary:       ukui-feedback
License:       GPL-3.0-or-later
URL:           https://github.com/UbuntuKylin/ukylin-feedback-client
Source0:       %{name}-%{version}.tar.gz

BuildRequires: glib2-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qtmultimedia-devel
BuildRequires: qt5-qttools-devel
BuildRequires: qt5-linguist
BuildRequires: gsettings-qt-devel
BuildRequires: dconf-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: libqtxdg-devel
BuildRequires: ukui-interface

%description
ukui-feedback

%prep
%setup -q

%build
export PATH=%{_qt5_bindir}:$PATH
mkdir qmake-build
pushd qmake-build
%{qmake_qt5} ..
%{make_build}
popd 

%install
pushd qmake-build
%{make_install} INSTALL_ROOT=%{buildroot}
popd 

%files
%{_bindir}/ukui-feedback
%{_datadir}/applications/ukui-feedback.desktop
%{_datadir}/ukui-feedback/*.qm

%changelog
* Thu Dec 08 2022 fushanqing <fushanqing@kylinos.cn> - 1.0.0-3
- Enable debuginfo for fix strip

* Thu May 26 2022 peijiankang <peijiankang@kylinos.cn> - 1.0.0-2
- remove {%if 0 and %endif}

* Fri May 20 2022 peijiankang <peijiankang@kylinos.cn> - 1.0.0-1
- Init ukylin-feedback-client package for openEuler
